# Enum Class Protocol

java.lang.Object
java.lang.Enum<Protocol>
org.apache.tomcat.util.net.openssl.ciphers.Protocol

All Implemented Interfaces:
  `Serializable`, `Comparable<Protocol>`, `Constable`

public enum Protocol extends Enum<Protocol>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SSLv2`
  `SSLv3`
  `TLSv1`
  `TLSv1_2`
  `TLSv1_3`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Protocol`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Protocol[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SSLv3

    public static final Protocol SSLv3

  - ### SSLv2

    public static final Protocol SSLv2

  - ### TLSv1

    public static final Protocol TLSv1

  - ### TLSv1_2

    public static final Protocol TLSv1_2

  - ### TLSv1_3

    public static final Protocol TLSv1_3

- ## Method Details

  - ### values

    public static Protocol[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Protocol valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null